import request from '@/utils/request'

// 查询cmc车辆预算列表
export function listBudgetCar(query) {
  return request({
    url: '/oa/budgetCar/list',
    method: 'get',
    params: query
  })
}

// 查询cmc车辆预算详细
export function getBudgetCar(budgetId) {
  return request({
    url: '/oa/budgetCar/' + budgetId,
    method: 'get'
  })
}

// 新增cmc车辆预算
export function addBudgetCar(data) {
  return request({
    url: '/oa/budgetCar',
    method: 'post',
    data: data
  })
}

// 修改cmc车辆预算
export function updateBudgetCar(data) {
  return request({
    url: '/oa/budgetCar',
    method: 'put',
    data: data
  })
}

// 删除cmc车辆预算
export function delBudgetCar(budgetId) {
  return request({
    url: '/oa/budgetCar/' + budgetId,
    method: 'delete'
  })
}
